/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.data;

import net.sf.jannot.Location;
/**
 * 
 * @author Thomas Abeel
 *
 */
public class LocationTools {

	/**
	 * Returns the overlap between two locations, or <code>null</code> if there is no overlap.
	 * @param l1
	 * @param l2
	 * @return
	 */
	public static Location getOverlap(Location l1,Location l2){
		int x=Math.max(l1.start, l2.start);
		int y=Math.min(l1.end, l2.end);
		if(x<=y)
			return new Location(x,y);
		else
			return null;
	}
}
