/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.data.provider;

/**
 * 
 * @author Thomas Abeel
 * 
 */
public class Status {
	private int end;
	private int start;
	private boolean ready;
	private boolean queued;
	private boolean running;

	public Status(boolean running, boolean queued, boolean ready, int i, int j) {
		this.running = running;
		this.queued = queued;
		this.ready = ready;
		this.start = i;
		this.end = j;
	}

	public int start() {
		return start;
	}

	public boolean isQueued() {
		return queued;
	}

	public boolean isReady() {
		return ready;
	}

	public boolean isRunning() {
		return running;
	}

	public int end() {
		return end;
	}

	public void setRunning() {
		this.running=true;
		
		
	}

	public void setFinished() {
this.ready=true;		
	}
}
