/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu;

import java.util.Observable;
import java.util.Observer;

import javax.swing.AbstractAction;
import javax.swing.ImageIcon;

import net.sf.genomeview.data.Model;


public abstract class AbstractModelAction extends AbstractAction implements Observer {

    /**
	 * 
	 */
	private static final long serialVersionUID = 4772441878890141849L;
	protected Model model;

    public AbstractModelAction(String name, Model model) {
        super(name);
        this.model = model;
        this.model.addObserver(this);
        update(null, null);
    }

    public AbstractModelAction(String name, ImageIcon imageIcon, Model model2) {
        super(name, imageIcon);
        this.model = model2;
        this.model.addObserver(this);
        update(null, null);
    }

    @Override
    public void update(Observable o, Object obj) {

        // do nothing

    }

}
